OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
ExtractAll< _ResultTreeType, DenseValueType > Struct Template Reference

a simple utility class used by `extractSparseTreeWithMask` More...

`#include <DenseSparseTools.h>`

## Public Types
typedef _ResultTreeType | ResultTreeType
typedef ResultTreeType::LeafNodeType | ResultLeafNodeType

## Public Member Functions
template<typename CoordOrIndex >
void | operator() (const DenseValueType &a, const CoordOrIndex &offset, ResultLeafNodeType *leaf) const

## Detailed Description

### template<typename _ResultTreeType, typename DenseValueType>
struct openvdb::v5_1::tools::ExtractAll< _ResultTreeType, DenseValueType >

a simple utility class used by `extractSparseTreeWithMask`

## Member Typedef Documentation

## ◆ ResultLeafNodeType

typedef ResultTreeType::LeafNodeType ResultLeafNodeType

## ◆ ResultTreeType

typedef _ResultTreeType ResultTreeType

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const DenseValueType & | a,
|  | const CoordOrIndex & | offset,
|  | ResultLeafNodeType * | leaf
| ) |  | const
| inline

The documentation for this struct was generated from the following file:

- DenseSparseTools.h